import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        srfkey: 'CLSourceType',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'DEACTION',
                label: '实体行为',
                text: '实体行为',
                "data":"",
                "codename":"Deaction",
                value: 'DEACTION',
                
                disabled: false,
            },
            {
                id: 'DATASET',
                label: '数据集合',
                text: '数据集合',
                "data":"",
                "codename":"Dataset",
                value: 'DATASET',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CLIBZSex',
        emptytext: '',
        "codelisttype":"static",
        items: [
            {
                id: '男',
                label: '男性',
                text: '男性',
                "data":"",
                "codename":"Item_1",
                value: '男',
                
                disabled: false,
            },
            {
                id: '女',
                label: '女性',
                text: '女性',
                "data":"",
                "codename":"Item_2",
                value: '女',
                
                disabled: false,
            },
            {
                id: '性别不详',
                label: '性别不详',
                text: '性别不详',
                "data":"",
                "codename":"Item_3",
                value: '性别不详',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CLPermissionType',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'OPPRIV',
                label: '数据对象能力',
                text: '数据对象能力',
                "data":"",
                "codename":"Oppriv",
                value: 'OPPRIV',
                
                disabled: false,
            },
            {
                id: 'UNIRES',
                label: '统一资源',
                text: '统一资源',
                "data":"",
                "codename":"Unires",
                value: 'UNIRES',
                
                disabled: false,
            },
        ]
    }
    ]];
});

